Neuigkeiten
  • Die modified eCommerce Shopsoftware ist kostenlos, aber nicht umsonst.
  • Damit wir die modified eCommerce Shopsoftware auch zukünftig kostenlos anbieten können:

Autor Thema: modified eCommerce Shopsoftware 2.0.4.1 rev 11327 veröffentlicht  (Gelesen 17422 mal)

Offline Tomcraft

  • modified Team
  • *****
  • Gravatar
  • Beiträge: 43.408
  • Geschlecht: Männlich
    • Teile Beitrag
    • https://www.modified-shop.org
[ Für Gäste sind keine Dateianhänge sichtbar ]

Die Shopversion 2.0.4.1 rev 11327 ist das erste Bugfix-Update der Shopversion 2.0.4.0 rev 11204.

Wenn euch unser Engagement und die Shopsoftware gefällt, dann freuen wir uns über eine finanzielle Unterstützung, da diese in der Vergangenheit doch sehr stark zurück gegangen ist!


Folgende Änderungen sind enthalten (Auszug aus dem Changelog):

Zitat
Seit modified eCommerce Shopsoftware 2.0.4.1
- Fix #1072 Updater um Datenbank-Backup Möglichkeit erweitern
- Fix #1462 Fehler in customers_status.sql (Kundengruppe "Admin" wird nicht in deutscher Sprache angelegt)
- Fix #1464 Weisse Seite bei aktiviertem Cache
- Fix #1468 eingeschalteter Cache führt zu Problemem bei Listingfiltern und Rezensionen
- Fix #1470 Neuer Installer scheint Probleme auf Strato Servern zu haben
- Fix #1461 Passwort in Klartext im neuen Installer
- Fix #1467 Installer überarbeiten

Achtung: Seit Shopversion 2.0.4.0 rev 11204 setzen wir mindestens PHP 5.6 voraus! :!:

An dieser Stelle sei auch nochmal an unser gedrucktes Handbuch für Shopbetreiber erinnert:

Das Handbuch richtet sich an alle aktuellen und zukünftigen Shopbetreiber, die modified eCommerce Shopsoftware im Detail kennenlernen möchten und eine fundierte Anleitung für die tägliche Arbeit mit dem Adminbereich wünschen.

Mit dem Kauf dieses Handbuchs bekommt der Leser eine detaillierte, intuitive Anleitung, einen Demoshop Schritt für Schritt selbst zu erkunden und unterstützt damit gleichzeitig das Projekt. Programmierkenntnisse sind für das Verständnis dieses Handbuchs nicht erforderlich.

Die Autorin (christel-pohl.de) arbeitet seit mehr als 14 Jahren freiberuflich als Layouter und Betreuerin von Gewerbetreibenden mit Internetshops. Durch die Erfahrung aus dieser Arbeit legt sie Wert auf einen leicht verständlichen Schreibstil mit möglichst wenig Fachausdrücken, damit auch Laien schnell zu einem Erfolgserlebnis gelangen.

Die Druckausgabe beinhaltet 324 Seiten im Format DIN A5 Softcover.

Das Buch ist im Buchhandel unter der ISBN: 978-3-7418-5676-1 und direkt bei der Autorin erhältlich: Klick mich!

Quelle: Gedrucktes "Handbuch für Shopbetreiber" veröffentlicht

Helft uns, diese Meldung zu verbreiten, und teilt es auf Facebook, twittert, blogt oder emailt es euren Freunden und Bekannten.

Ein responsive Template kann für 149€ netto über das Kontaktformular angefragt werden.

Wer vorab schon mal einen Blick auf das Responsive Template machen möchte kann im Dev Demoshop schauen.

Wir wünschen euch viel Spaß mit der neuen Version und freuen uns auf euer Feedback.

Bitte beachtet die Textdateien im Ordner "bitte_erst_lesen"!

Der Download ist wie gewohnt auf der Download-Seite zu finden.

Bitte bewertet unsere modified eCommerce Shopsoftware bei heise.de.

Wenn euch die Shopsoftware gefällt, dann freuen wir uns über ein wenig finanzielle Unterstützung.

Wir wünschen euch viel Erfolg bei der Umsetzung eurer Shop-Projekte mit der modified eCommerce Shopsoftware.

Das modified eCommerce Shopsoftware Team

Linkback: https://www.modified-shop.org/forum/index.php?topic=39279.0

Offline oneQ

  • Viel Schreiber
  • *****
  • Beiträge: 537
    • Teile Beitrag
Re: modified eCommerce Shopsoftware 2.0.4.1 rev 11327 veröffentlicht
« Antwort #1 am: 29. Juni 2018, 16:05:50 »
:thx:
Dann habe ich ja wieder was zu tun wenn ich zurück bin...

Offline Haketing

  • Fördermitglied
  • *****
  • Beiträge: 41
  • Geschlecht: Männlich
    • Teile Beitrag
    • http://www.haketing.com
Re: modified eCommerce Shopsoftware 2.0.4.1 rev 11327 veröffentlicht
« Antwort #2 am: 29. Juni 2018, 19:26:00 »
Vielen Dank!

Sonnige Grüße aus Hannover

Thomas

Offline Duncan

  • Fördermitglied
  • *****
  • Beiträge: 49
  • Geschlecht: Männlich
    • Teile Beitrag
    • Country-Creativ
Re: modified eCommerce Shopsoftware 2.0.4.1 rev 11327 veröffentlicht
« Antwort #3 am: 29. Juni 2018, 22:11:26 »
Nicht, dass es übers Wochenende langweilig wird...

Danke für die Beschäftigungstherapie

 :thx:

Offline FräuleinGarn

  • Viel Schreiber
  • *****
  • Beiträge: 2.272
    • Teile Beitrag
    • Fräulein Garn's Stoffbiotop
Re: modified eCommerce Shopsoftware 2.0.4.1 rev 11327 veröffentlicht
« Antwort #4 am: 30. Juni 2018, 01:18:27 »
Vielen Dank.

Hat in zwei Shops ohne Probleme funktioniert. Mit eingeschaltetem Cache laufen nun Filter, Rezensionen und Umschaltung zwischen Box und Listenansicht. Und auch sonst keine Fehlermeldungen und Warnings bisher.

Ganz großes Lob nochmal für den neuen Installer. Ich hab das ja schon bei 2.0.4.0 geschrieben und es wurden jetzt auch noch alle Verbesserungsvorschläge umgesetzt. Der sieht echt modern aus und ist "nun" logisch aufgebaut.

Backupfunktion ganz oben - top
Erfolgsmeldung beim DB Update - top
configure.php anpassen und eigene ssl konfiguration bleibt erhalten - top

Einzig die nicht mehr vorhandene Funktion "alte Dateien löschen" hat mich etwas irritiert. Wird die nur nicht mehr angezeigt und es läuft im Hintergrund ab, oder ist sie wirklich nicht mehr vorhanden, oder erkennt der installer welches update man gemacht hat und weiß, dass bei 2.0.4.0 zu 2.0.4.1 nichts zu löschen war? Die alten Dateien in includes/external/phpmailer sind ja zb weiterhin vorhanden.  :-?

Gruß Timm

Offline GTB

  • modified Team
  • *****
  • Gravatar
  • Beiträge: 5.220
  • Geschlecht: Männlich
    • Teile Beitrag
Re: modified eCommerce Shopsoftware 2.0.4.1 rev 11327 veröffentlicht
« Antwort #5 am: 30. Juni 2018, 07:53:19 »
Der Installer löscht natürlich alte Dateien, im Hintergrund. Bzgl. PHPMailer schaue ich mir an.

Offline jayjay1973

  • Neu im Forum
  • *
  • Beiträge: 19
    • Teile Beitrag
Re: modified eCommerce Shopsoftware 2.0.4.1 rev 11327 veröffentlicht
« Antwort #6 am: 30. Juni 2018, 12:07:06 »
Vielen, vielen Dank an das Team! Großartige Arbeit!

Offline FräuleinGarn

  • Viel Schreiber
  • *****
  • Beiträge: 2.272
    • Teile Beitrag
    • Fräulein Garn's Stoffbiotop
Re: modified eCommerce Shopsoftware 2.0.4.1 rev 11327 veröffentlicht
« Antwort #7 am: 30. Juni 2018, 13:27:00 »
Der Installer löscht natürlich alte Dateien, im Hintergrund. Bzgl. PHPMailer schaue ich mir an.
Ok danke für die Info.

Bzgl zu löschender Dateien hatte ich mir die Arbeit gemacht und am 8.6. das Ticket #1467 erweitert um die mir bekannten Dateien. Das wurde aber als unrelevant angesehen und wieder gelöscht.

Darunter waren einige nicht so wichtige Grafiken, aber auch die phpmailer Dateien.

Da sich zb das DHL Wunschpaket Modul genau an diesem Ordner orientiert um zwischen Shopversionen zu unterscheiden, wäre es schon gut, wenn man das relativ aktuell hält.

Im Moment würde ein neu aufgesetzter Shop in dem Modul nämlich als >2.0.4.0 angesehen werden und ein upgedateter Shop als 2.0.0.0 bis 2.0.3.0 Version, obwohl dieser auch schon 2.0.4.1 installiert hat. Weil noch die alten PhpMailer Dateien vorhanden sind.

Das macht im Moment nicht soviel aus, weil das Modul eigentlich nur wissen will ob 1.06 oder 2.x installiert ist. Aber andere Module könnten das strenger sehen.

Gruß Timm

Offline GTB

  • modified Team
  • *****
  • Gravatar
  • Beiträge: 5.220
  • Geschlecht: Männlich
    • Teile Beitrag
Re: modified eCommerce Shopsoftware 2.0.4.1 rev 11327 veröffentlicht
« Antwort #8 am: 30. Juni 2018, 16:16:21 »
Auf Module die sich an irgendwelche Dateien klammern um festzustellen welche Shopversion installiert ist, werden wir definitiv keine Rücksicht nehmen. Da gibt es bessere Möglichkeiten wie zB die Datenbankversion abzufragen.

Offline Tomcraft

  • modified Team
  • *****
  • Gravatar
  • Beiträge: 43.408
  • Geschlecht: Männlich
    • Teile Beitrag
    • https://www.modified-shop.org
Re: modified eCommerce Shopsoftware 2.0.4.1 rev 11327 veröffentlicht
« Antwort #9 am: 30. Juni 2018, 18:12:11 »
[...] Die alten Dateien in includes/external/phpmailer sind ja zb weiterhin vorhanden.  :-?
[...]

Die "/_installer/includes/delete_files.php" ist dafür schon erweitert worden, hat es aber nicht in Version 2.0.4.1 geschafft, da die Priorität dafür sehr gering einzustufen ist!

Grüße

Torsten

Offline webald

  • modified Team
  • *****
  • Beiträge: 2.701
    • Teile Beitrag
Re: modified eCommerce Shopsoftware 2.0.4.1 rev 11327 veröffentlicht
« Antwort #10 am: 01. Juli 2018, 10:30:34 »
[...]
Im Moment würde ein neu aufgesetzter Shop in dem Modul nämlich als >2.0.4.0 angesehen werden und ein upgedateter Shop als 2.0.0.0 bis 2.0.3.0 Version, obwohl dieser auch schon 2.0.4.1 installiert hat. Weil noch die alten PhpMailer Dateien vorhanden sind.
[...]

Es gibt die Datei admin/includes/version.php zusammen mit der DB-Version sollte man das als Grundlage zur Prüfung der Shopversion nehmen.

Offline FräuleinGarn

  • Viel Schreiber
  • *****
  • Beiträge: 2.272
    • Teile Beitrag
    • Fräulein Garn's Stoffbiotop
Re: modified eCommerce Shopsoftware 2.0.4.1 rev 11327 veröffentlicht
« Antwort #11 am: 01. Juli 2018, 11:35:12 »
Ich muss meine Aussage etwas korrigieren. Das DHL Modul fragt nicht die Shopversion als solches ab, sondern versucht zu prüfen, welche PhpMailer Dateien vorhanden sind und dadurch für Shopversion 1.06 die richtige einzubinden.

Und da sollte sich doch ein Entwickler drauf verlassen können. Auch wenn man es in diesem Fall wahrscheinlich trotzdem über die Shopversion machen könnte und dann je nach Shopversion die entsprechende Datei einbindet.

Es wurde deshalb geändert von

Code: PHP  [Auswählen]
if (!file_exists(DIR_FS_EXTERNAL.'phpmailer/PHPMailerAutoload.php')) require_once (DIR_FS_CATALOG.DIR_WS_CLASSES.'class.phpmailer.php'); //NB 1.05

zu

Code: PHP  [Auswählen]
if (!class_exists('PHPMailer') && file_exists(DIR_FS_CATALOG.DIR_WS_CLASSES.'class.phpmailer.php')) require_once (DIR_FS_CATALOG.DIR_WS_CLASSES.'class.phpmailer.php'); //NB 1.05 //NB 2.12
require_once (DIR_FS_INC.'xtc_php_mail.inc.php');

weil die PHPMailerAutoload.php sowohl in 1.06 und ab 2.0.4.0 nicht mehr vorhanden sein sollte. Ist sie aber in einem geupdateten Shop auch in >=2.0.4.0.

In diesem Fall hätte die Zeile im Modul eh angepasst werden müssen, weil der Fehler bei Neuinstallationen auftrat und nicht bei upgedateten Shops. Da war es zufällig sogar gut, dass die Datei noch vorhanden war, weil das Modul dann richtigerweise davon ausging, dass es sich nicht um einen 1.06 Shop handelt.

Das ganze wird aber ziemlich offtopic und war eigentlich nur ein Hinweis, dass es Fälle geben kann in denen es ungünstig ist, wenn nicht gleich alle unnötigen Dateien mit dem _installer gelöscht werden.

Da Tomcraft nun geschrieben hat, dass es eh schon geändert wurde und mit der Version 2.0.5.0 kommt, sollte der Fokus wieder auf der super 2.0.4.1 Version liegen.

Gruß Timm

Offline Tomcraft

  • modified Team
  • *****
  • Gravatar
  • Beiträge: 43.408
  • Geschlecht: Männlich
    • Teile Beitrag
    • https://www.modified-shop.org
Re: modified eCommerce Shopsoftware 2.0.4.1 rev 11327 veröffentlicht
« Antwort #12 am: 01. Juli 2018, 11:44:22 »
Können wir es bitte einfach dabei belassen:

Auf Module die sich an irgendwelche Dateien klammern um festzustellen welche Shopversion installiert ist, werden wir definitiv keine Rücksicht nehmen. Da gibt es bessere Möglichkeiten wie zB die Datenbankversion abzufragen.

Und das unterschreibe ich genau so!

Fazit: Fehler im Drittanbieter-Modul, fertig!

Grüße

Torsten

Offline jayjay1973

  • Neu im Forum
  • *
  • Beiträge: 19
    • Teile Beitrag
Re: modified eCommerce Shopsoftware 2.0.4.1 rev 11327 veröffentlicht
« Antwort #13 am: 02. Juli 2018, 15:10:17 »
Auf der Seite der Templateänderungen steht etwas von Version 2.0.5.0

Da die Version 2.0.5.0 noch gar nicht existiert frage ich mich, ob das ein Schreibfehler ist und ich für 2.0.4.1 rev 11327 sämtliche Änderungen inkl. der geplanten Features durchführen sollte.

Wer weiß mehr?

Offline Tomcraft

  • modified Team
  • *****
  • Gravatar
  • Beiträge: 43.408
  • Geschlecht: Männlich
    • Teile Beitrag
    • https://www.modified-shop.org
Re: modified eCommerce Shopsoftware 2.0.4.1 rev 11327 veröffentlicht
« Antwort #14 am: 02. Juli 2018, 15:42:21 »
Ist kein Schreibfehler. Diese Änderungen werden erst ab Shopversion 2.0.5.0 notwendig sein.

Grüße

Torsten

Offline Haketing

  • Fördermitglied
  • *****
  • Beiträge: 41
  • Geschlecht: Männlich
    • Teile Beitrag
    • http://www.haketing.com
Re: modified eCommerce Shopsoftware 2.0.4.1 rev 11327 veröffentlicht
« Antwort #15 am: 05. Juli 2018, 15:37:32 »
Hallo Modified-Team,

ich habe nun zum 3. mal die Vollversion 2.0.4.1 rev 11327
installiert. Kein Stratoserver, hat sonst auch immer alles geklappt.

Glaube fast, das die Downloaddatei der Vollversion falsch ist. (Frisch heute runtergeladen)

Zitat
[...]
- Fix #1462 Fehler in customers_status.sql (Kundengruppe "Admin" wird nicht in deutscher Sprache angelegt)
[...]

Jedes mal wurde kein Admin in deutsch angelegt. Und der EU Händler fehlt auch. Nach dem Update von 2.0.4.0 auf 2.0.4.1 ist der Admin auch in deutsch verfügbar. Allerdings kein EU Händler.

Bei der Installation ist mir auch aufgefallen, das man UTF-8 auswählen kann, aber in der configure.php Datei steht utf8 ohne Strich.

Hat jemand bitte eine Idee, ob und wo ich falsch liege?

Danke
Thomas

Offline Tomcraft

  • modified Team
  • *****
  • Gravatar
  • Beiträge: 43.408
  • Geschlecht: Männlich
    • Teile Beitrag
    • https://www.modified-shop.org
Re: modified eCommerce Shopsoftware 2.0.4.1 rev 11327 veröffentlicht
« Antwort #16 am: 05. Juli 2018, 16:10:17 »
Wir werden kurzfristig eine neue Version 2.0.4.2 veröffentlichen, wo das korrigiert wird.

Grüße

Torsten

Offline FräuleinGarn

  • Viel Schreiber
  • *****
  • Beiträge: 2.272
    • Teile Beitrag
    • Fräulein Garn's Stoffbiotop
Re: modified eCommerce Shopsoftware 2.0.4.1 rev 11327 veröffentlicht
« Antwort #17 am: 06. Juli 2018, 12:11:25 »
[...]
Bei der Installation ist mir auch aufgefallen, das man UTF-8 auswählen kann, aber in der configure.php Datei steht utf8 ohne Strich.

Hat jemand bitte eine Idee, ob und wo ich falsch liege?
[...]

Das war in 2.0.3.0 auch schon so und funktioniert.

Gruß Timm

Offline Friederike

  • Fördermitglied
  • *****
  • Beiträge: 37
    • Teile Beitrag
Re: modified eCommerce Shopsoftware 2.0.4.1 rev 11327 veröffentlicht
« Antwort #18 am: 10. Juli 2018, 14:00:24 »
Hi, danke für die neue Shopversion!
Aber: außer dass der Admin-Fehler wieder da ist (wurde oben schon gesagt, Admin fehlt auf Deutsch),
gibt es auch ein Zeichenkodierungsproblem:

Vorausgewählt im Installer ist utf8 (das würde ich auch wählen, DB habe ich auch in utf8 angelegt).
Aber die sql-Dateien im Ordner /_installer/includes/sql sind in ANSI.

Wenn der Shop frisch installiert ist, sind etliche Umlaute/Sonderzeichen zerschossen, z.B. das ä in der Kundengruppe Händler, oder auch die Namen zahlreicher Bundesländer.

Kleines weiteres Detail: Ich würde mich freuen, wenn im Installer bei den Admin-Angaben auch wieder die Anrede dazukäme, so dass ich nach der Installation nicht immer mit Herr... begrüsst würde.

Vielen Dank und viele Grüße!

Offline Tomcraft

  • modified Team
  • *****
  • Gravatar
  • Beiträge: 43.408
  • Geschlecht: Männlich
    • Teile Beitrag
    • https://www.modified-shop.org
Re: modified eCommerce Shopsoftware 2.0.4.1 rev 11327 veröffentlicht
« Antwort #19 am: 10. Juli 2018, 14:28:58 »
Danke für den Hinweis. Wir haben das bereits in Ticket #1497 für Shopversion 2.0.4.2 festgehalten.

Grüße

Torsten

Offline pdfil12

  • Neu im Forum
  • *
  • Beiträge: 7
    • Teile Beitrag
Re: modified eCommerce Shopsoftware 2.0.4.1 rev 11327 veröffentlicht
« Antwort #20 am: 13. Juli 2018, 11:51:20 »
Also ich bekomme die 2.0.4.1 nicht installiert.
Beim Installer egal welche Codierung haut der mich bei "http://***/_installer/install_step1.php?action=restorenow&sql=0" mit der Fehlermeldung raus:

Zitat
Unable to connect to database server!

In der Datenbank hat es eine Tabelle angelegt sonst nix.
Es war die Tabelle "engine" wo nur "InnoDB" als Eintrag drin war.

EDIT 1: Für mich sieht es zumindest danach aus, als wäre der Release 2.0.4.1 nicht installierbar.
EDIT 2: Habe gerade erfolgreich 2.0.3.0 installieren können. 2.0.4.1 muss defekt sein.

Offline pomm

  • Mitglied
  • ***
  • Beiträge: 243
    • Teile Beitrag
Re: modified eCommerce Shopsoftware 2.0.4.1 rev 11327 veröffentlicht
« Antwort #21 am: 17. Juli 2018, 19:49:08 »
Hallo!

Habe versucht den Shop (heute runtergeladen) komplett neu zu installieren und bekomme folgende Fehlermeldung beim Aufruf des Installers:

Code: PHP  [Auswählen]
Warning: require_once(__DIR__/configure.php) [function.require-once]: failed to open stream: No such file or directory in /home/www/web952/html/shop1/_installer/includes/application_top.php on line 22

Fatal error: require_once() [function.require]: Failed opening required '__DIR__/configure.php' (include_path='.:/usr/local/php-gd-5.2.17/lib/php') in /home/www/web952/html/shop1/_installer/includes/application_top.php on line 22

In der Datei ist die Zeile 22:

Code: PHP  [Auswählen]
  require_once(__DIR__.'/configure.php');

Wäre für einen Rat dankbar!

LG
Pomm

Offline Tomcraft

  • modified Team
  • *****
  • Gravatar
  • Beiträge: 43.408
  • Geschlecht: Männlich
    • Teile Beitrag
    • https://www.modified-shop.org
Re: modified eCommerce Shopsoftware 2.0.4.1 rev 11327 veröffentlicht
« Antwort #22 am: 17. Juli 2018, 19:51:53 »
Bei welchem Hoster hast du versucht zu installieren?

Also ich bekomme die 2.0.4.1 nicht installiert.
Beim Installer egal welche Codierung haut der mich bei "http://***/_installer/install_step1.php?action=restorenow&sql=0" mit der Fehlermeldung raus:

Zitat
Unable to connect to database server!

In der Datenbank hat es eine Tabelle angelegt sonst nix.
Es war die Tabelle "engine" wo nur "InnoDB" als Eintrag drin war.

EDIT 1: Für mich sieht es zumindest danach aus, als wäre der Release 2.0.4.1 nicht installierbar.
EDIT 2: Habe gerade erfolgreich 2.0.3.0 installieren können. 2.0.4.1 muss defekt sein.

Klarer Fall von einer Browser-Erweiterung wie beispielsweise "NoScript" für Firefox. Der Installer benötigt JavaScript, damit die Tabellen angelegt werden!

Der Installer der Shopversion 2.0.3.0 hat die Datenbank-Tabellen noch nicht per JavaScript installiert, daher funktionierte das noch ohne JavaScript.

Grüße

Torsten

Offline FräuleinGarn

  • Viel Schreiber
  • *****
  • Beiträge: 2.272
    • Teile Beitrag
    • Fräulein Garn's Stoffbiotop
Re: modified eCommerce Shopsoftware 2.0.4.1 rev 11327 veröffentlicht
« Antwort #23 am: 17. Juli 2018, 22:24:46 »
[...]
Klarer Fall von einer Browser-Erweiterung wie beispielsweise "NoScript" für Firefox. Der Installer benötigt JavaScript, damit die Tabellen angelegt werden!

Der Installer der Shopversion 2.0.3.0 hat die Datenbank-Tabellen noch nicht per JavaScript installiert, daher funktionierte das noch ohne JavaScript.
[...]

Wäre vielleicht ein Punkt für die Installationsanleitung!?

Gruss Timm

Offline Tomcraft

  • modified Team
  • *****
  • Gravatar
  • Beiträge: 43.408
  • Geschlecht: Männlich
    • Teile Beitrag
    • https://www.modified-shop.org
Re: modified eCommerce Shopsoftware 2.0.4.1 rev 11327 veröffentlicht
« Antwort #24 am: 18. Juli 2018, 11:52:39 »
Nein, wenn überhaupt, dann muss da ein Hinweis in den Installer.

Nachtrag: Das wird mit Shopversion 2.0.5.0 nachgeliefert, siehe: r11358 & r11359

Grüße

Torsten

Offline Bonner

  • Fördermitglied
  • *****
  • Beiträge: 649
  • Geschlecht: Männlich
    • Teile Beitrag
Re: modified eCommerce Shopsoftware 2.0.4.1 rev 11327 veröffentlicht
« Antwort #25 am: 18. Juli 2018, 17:35:00 »
Aufgrund persönlicher Umstände immer wieder verschoben, nun aber unausweichlich, muss und will ich auf
die neueste Shopversion updaten.
Hierzu eine "dumme" Frage:
Muss ich beginnend von v1.06 rev 4642 SP2 jedes Update durchziehen oder reicht es, die neueste Shopversion zu installieren und dann die Datenbankupdates manuell nach und nach laufen zu lassen?
... und wo finde ich die notwendigen Changesets für die aktuelle Version?

Wäre eine schlichte Altdatenübernahme sinnvoller?

Vorab Danke!

Bonner

Offline Tomcraft

  • modified Team
  • *****
  • Gravatar
  • Beiträge: 43.408
  • Geschlecht: Männlich
    • Teile Beitrag
    • https://www.modified-shop.org
Re: modified eCommerce Shopsoftware 2.0.4.1 rev 11327 veröffentlicht
« Antwort #26 am: 18. Juli 2018, 17:42:09 »
Entweder machst du das über die einzelnen Update-Pakete, siehe dazu: Einspielen von Updates
Oder du machst es nur über die Vollversion, siehe dazu: Update 1.06 rev 4642 auf 2.0.0.0 rev 9678 - Verständnisfrage bei der Anleitung

Zweiteres geht schneller und macht weniger Aufwand. ;-)

Grüße

Torsten

Offline Bonner

  • Fördermitglied
  • *****
  • Beiträge: 649
  • Geschlecht: Männlich
    • Teile Beitrag
Re: modified eCommerce Shopsoftware 2.0.4.1 rev 11327 veröffentlicht
« Antwort #27 am: 18. Juli 2018, 18:30:49 »
Vielen Dank Torsten... dann mache ich die Vollversion!

Bonner

Offline pomm

  • Mitglied
  • ***
  • Beiträge: 243
    • Teile Beitrag
Re: modified eCommerce Shopsoftware 2.0.4.1 rev 11327 veröffentlicht
« Antwort #28 am: 18. Juli 2018, 22:11:55 »
Hallo Bonner!

Läuft die aktuelle Version bei dir als Neuinstallation?
Ich habe immer die gleiche Fehlermeldung beim installer siehe Eintrag von gestern.
Danke! LG Pomm

Offline Tomcraft

  • modified Team
  • *****
  • Gravatar
  • Beiträge: 43.408
  • Geschlecht: Männlich
    • Teile Beitrag
    • https://www.modified-shop.org
Re: modified eCommerce Shopsoftware 2.0.4.1 rev 11327 veröffentlicht
« Antwort #29 am: 18. Juli 2018, 22:56:50 »
Du hast meine Frage noch nicht beantwortet.

Bei welchem Hoster hast du versucht zu installieren?
[...]

Grüße

Torsten

Offline pomm

  • Mitglied
  • ***
  • Beiträge: 243
    • Teile Beitrag
Re: modified eCommerce Shopsoftware 2.0.4.1 rev 11327 veröffentlicht
« Antwort #30 am: 18. Juli 2018, 23:04:47 »
Sorry dachte das gilt der anderen Fehlermeldung.
Hoster: Hotdomains.at
Php: 5.6
Server: Linux

LG pomm

Offline Tomcraft

  • modified Team
  • *****
  • Gravatar
  • Beiträge: 43.408
  • Geschlecht: Männlich
    • Teile Beitrag
    • https://www.modified-shop.org
Re: modified eCommerce Shopsoftware 2.0.4.1 rev 11327 veröffentlicht
« Antwort #31 am: 19. Juli 2018, 02:55:04 »
Hattest du auch Probleme mit dem Installer der Shopversion 2.0.3.0?

Grüße

Torsten

Offline pomm

  • Mitglied
  • ***
  • Beiträge: 243
    • Teile Beitrag
Re: modified eCommerce Shopsoftware 2.0.4.1 rev 11327 veröffentlicht
« Antwort #32 am: 19. Juli 2018, 13:50:47 »
Auf diesem Server läuft eine v1.06 rev 4642 zum Glück problemlos!

Ich hatte noch keine 2 er Version installiert. Soll ich das 2.0.3.0 Paket mal probieren oder reicht es nur den Installer daraus zu nehmen?

LG Pomm

Offline Tomcraft

  • modified Team
  • *****
  • Gravatar
  • Beiträge: 43.408
  • Geschlecht: Männlich
    • Teile Beitrag
    • https://www.modified-shop.org
Re: modified eCommerce Shopsoftware 2.0.4.1 rev 11327 veröffentlicht
« Antwort #33 am: 19. Juli 2018, 13:53:03 »
Teste mal bitte mit dem kompletten Paket.

Grüße

Torsten

Offline AllyG

  • Schreiberling
  • ****
  • Beiträge: 361
  • Geschlecht: Männlich
    • Teile Beitrag
    • Adrenalin-Fishing
Re: modified eCommerce Shopsoftware 2.0.4.1 rev 11327 veröffentlicht
« Antwort #34 am: 30. Juli 2018, 22:33:46 »
Hallo,
beim Update der Datenbank bringt er mir folgende Fehlermeldung:

Code: SQL  [Auswählen]
REPLACE INTO `customers_status` SELECT cs.`customers_status_id`, 2, cs.`customers_status_name`, cs.`customers_status_public`, cs.`customers_status_min_order`, cs.`customers_status_max_order`, cs.`customers_status_image`, cs.`customers_status_discount`, cs.`customers_status_ot_discount_flag`, cs.`customers_status_ot_discount`, cs.`customers_status_graduated_prices`, cs.`customers_status_show_price`, cs.`customers_status_show_price_tax`, cs.`customers_status_show_tax_total`, cs.`customers_status_add_tax_ot`, cs.`customers_status_payment_unallowed`, cs.`customers_status_shipping_unallowed`, cs.`customers_status_discount_attributes`, cs.`customers_fsk18`, cs.`customers_fsk18_display`, cs.`customers_status_write_reviews`, cs.`customers_status_read_reviews`, cs.`customers_status_reviews_status`, cs.`customers_status_specials` FROM `customers_status` cs WHERE cs.`customers_status_id` = '0' AND cs.`language_id` = '1'

Ich kann damit leider nicht viel anfangen und hoffe, ihr könnt mir weiterhelfen. :-)
PS: Teste gerade alles auf meiner Testdomain, da ich beim ersten Versuch des Updates auf 2.0.4.1 auf der Live eine weiße Seite bekommen habe aber das hat gerade schon geklappt.

Offline Tomcraft

  • modified Team
  • *****
  • Gravatar
  • Beiträge: 43.408
  • Geschlecht: Männlich
    • Teile Beitrag
    • https://www.modified-shop.org
Re: modified eCommerce Shopsoftware 2.0.4.1 rev 11327 veröffentlicht
« Antwort #35 am: 30. Juli 2018, 22:38:05 »
Das ist doch aber keine Fehlermeldung, sondern nur der SQL-Befehl! Du sollst die *.sql Dateien auch nicht per phpMyAdmin einspielen, sondern dich an die Update-Anleitung halten, die dem ZIP-Paket bei liegt.

Grüße

Torsten

Offline AllyG

  • Schreiberling
  • ****
  • Beiträge: 361
  • Geschlecht: Männlich
    • Teile Beitrag
    • Adrenalin-Fishing
Re: modified eCommerce Shopsoftware 2.0.4.1 rev 11327 veröffentlicht
« Antwort #36 am: 30. Juli 2018, 22:48:00 »
Guten Abend Torsten,
genau das habe ich gemacht :) Update per installer. Und den Befehl zeigt er mir jedoch Rot hinterlegt an. Sonst ist ja alles Grün hinterlegt, wenn es geklappt hat oder sehe ich das falsch? Ein anderer Befehl aus der .sql wird im Updater darunter Grün angezeigt.
LG
Kay

Offline Tomcraft

  • modified Team
  • *****
  • Gravatar
  • Beiträge: 43.408
  • Geschlecht: Männlich
    • Teile Beitrag
    • https://www.modified-shop.org
Re: modified eCommerce Shopsoftware 2.0.4.1 rev 11327 veröffentlicht
« Antwort #37 am: 30. Juli 2018, 22:52:14 »
Das kannst du ignorieren, denn dann hast du anscheinend keine englische Sprache mehr im Shop.

Grüße

Torsten

Offline AllyG

  • Schreiberling
  • ****
  • Beiträge: 361
  • Geschlecht: Männlich
    • Teile Beitrag
    • Adrenalin-Fishing
Re: modified eCommerce Shopsoftware 2.0.4.1 rev 11327 veröffentlicht
« Antwort #38 am: 30. Juli 2018, 23:02:01 »
Ahh alles klar hab vielen Dank :-) Sie ist noch da, lediglich deaktiviert. Bevor ich jetzt unter 2.4.0.2 da gleiche frage stelle. Der Kommentar, der dort erscheint (und ähnlich ist), wird der gleichen Ursache zugrunde liegen richtig?

Offline Tomcraft

  • modified Team
  • *****
  • Gravatar
  • Beiträge: 43.408
  • Geschlecht: Männlich
    • Teile Beitrag
    • https://www.modified-shop.org
Re: modified eCommerce Shopsoftware 2.0.4.1 rev 11327 veröffentlicht
« Antwort #39 am: 30. Juli 2018, 23:03:04 »
Korrekt.

Grüße

Torsten

Offline FräuleinGarn

  • Viel Schreiber
  • *****
  • Beiträge: 2.272
    • Teile Beitrag
    • Fräulein Garn's Stoffbiotop
Re: modified eCommerce Shopsoftware 2.0.4.1 rev 11327 veröffentlicht
« Antwort #40 am: 31. Juli 2018, 10:02:18 »
Moin

Bei mir ist die englische Sprache auch im Backend bei "Status" und "Status Admin" deaktiviert und dennoch hatte ich keine Fehlermeldung beim Update. Muss an was anderem liegen.

Gruß Timm

Offline Tomcraft

  • modified Team
  • *****
  • Gravatar
  • Beiträge: 43.408
  • Geschlecht: Männlich
    • Teile Beitrag
    • https://www.modified-shop.org
Re: modified eCommerce Shopsoftware 2.0.4.1 rev 11327 veröffentlicht
« Antwort #41 am: 31. Juli 2018, 11:36:30 »
Dann hatte er keine Kundengruppe mit der ID 2.

Grüße

Torsten

Offline AllyG

  • Schreiberling
  • ****
  • Beiträge: 361
  • Geschlecht: Männlich
    • Teile Beitrag
    • Adrenalin-Fishing
Re: modified eCommerce Shopsoftware 2.0.4.1 rev 11327 veröffentlicht
« Antwort #42 am: 01. August 2018, 21:56:29 »
Um der Ursache mal auf den Grund zu gehen. Ich weiß ja nicht um was genau es sich bei der Erwähnten Kundengruppe handelt. Falls es die cID ist, dann ist die 2 bei mir der normal registrierte Kunde. Deutsch hat bei mir die Language-ID 2 und Englisch die 1. liegt es am zweiteren?

 Mal davon abgesehen, vielen Dank für das schnell nachgeschobene Update zum Update  :)

Offline Tomcraft

  • modified Team
  • *****
  • Gravatar
  • Beiträge: 43.408
  • Geschlecht: Männlich
    • Teile Beitrag
    • https://www.modified-shop.org
Re: modified eCommerce Shopsoftware 2.0.4.1 rev 11327 veröffentlicht
« Antwort #43 am: 02. August 2018, 12:21:47 »
Und gibt es auch einen cID 2 Eintrag auf Englisch, also mit Language-ID 1?

Grüße

Torsten


Teile per facebook Teile per linkedin Teile per twitter

 


             
anything